<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicAndDilutedEarningsLossPerShare" xlink:label="ifrs-full_BasicAndDilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_TecajneRazlike" xlink:label="tehnika-kons_TecajneRazlike" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:label="ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" xlink:label="ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DecreaseThroughWriteoffFinancialAssets" xlink:label="ifrs-full_DecreaseThroughWriteoffFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentPrepayments" xlink:label="ifrs-full_CurrentPrepayments" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentFinancialAssets" xlink:label="ifrs-full_CurrentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="ifrs-full_RawMaterialsAndConsumablesUsed" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:label="ifrs-full_NoncurrentProvisions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_LossForTheYear" xlink:label="tehnika-kons_LossForTheYear" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:to="label_tehnika-kons_ifrs-fullChangesInInventoriesOfFinishedGoodsAndWorkInProgress_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RawMaterialsAndConsumablesUsed" xlink:to="label_tehnika-kons_ifrs-fullRawMaterialsAndConsumablesUsed_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DepreciationAndAmortisationExpense" xlink:to="label_tehnika-kons_ifrs-fullDepreciationAndAmortisationExpense_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EmployeeBenefitsExpense" xlink:to="label_tehnika-kons_ifrs-fullEmployeeBenefitsExpense_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" xlink:to="label_tehnika-kons_ifrs-fullLossesOnDisposalsOfPropertyPlantAndEquipment_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:to="label_tehnika-kons_ifrs-fullImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="label_tehnika-kons_ifrs-fullProfitLossFromOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceCosts" xlink:to="label_tehnika-kons_ifrs-fullFinanceCosts_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="label_tehnika-kons_ifrs-fullProfitLossBeforeTax_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromContinuingOperations" xlink:to="label_tehnika-kons_ifrs-fullProfitLossFromContinuingOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="label_tehnika-kons_ifrs-fullProfitLoss_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="label_tehnika-kons_ifrs-fullComprehensiveIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_BasicAndDilutedEarningsLossPerShare" xlink:to="label_tehnika-kons_ifrs-fullBasicAndDilutedEarningsLossPerShare_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="label_tehnika-kons_ifrs-fullIntangibleAssetsAndGoodwill_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="label_tehnika-kons_ifrs-fullNoncurrentAssets_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentFinancialAssets" xlink:to="label_tehnika-kons_ifrs-fullCurrentFinancialAssets_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentPrepayments" xlink:to="label_tehnika-kons_ifrs-fullCurrentPrepayments_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="label_tehnika-kons_ifrs-fullCurrentAssets_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="label_tehnika-kons_ifrs-fullAssets_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="tehnika-kons_LossForTheYear" xlink:to="label_tehnika-kons_tehnika-konsLossForTheYear_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_tehnika-kons_ifrs-fullEquity_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentProvisions" xlink:to="label_tehnika-kons_ifrs-fullNoncurrentProvisions_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="label_tehnika-kons_ifrs-fullNoncurrentLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="label_tehnika-kons_ifrs-fullCurrentLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="label_tehnika-kons_ifrs-fullEquityAndLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_tehnika-kons_ifrs-fullEquity_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" xlink:to="label_tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2020Godinu_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="tehnika-kons_TecajneRazlike" xlink:to="label_tehnika-kons_tehnika-konsTecajneRazlike_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_tehnika-kons_ifrs-fullEquity_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" xlink:to="label_tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2021Godinu_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DecreaseThroughWriteoffFinancialAssets" xlink:to="label_tehnika-kons_ifrs-fullDecreaseThroughWriteoffFinancialAssets_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:to="label_tehnika-kons_ifrs-fullCashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_Short" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_tehnika-kons_ifrs-fullChangesInInventoriesOfFinishedGoodsAndWorkInProgress_NegatedLabel" id="tehnika-kons_ifrs-fullChangesInInventoriesOfFinishedGoodsAndWorkInProgress_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Changes in inventories of finished goods</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullRawMaterialsAndConsumablesUsed_NegatedLabel" id="tehnika-kons_ifrs-fullRawMaterialsAndConsumablesUsed_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Raw materials and consumables used</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullDepreciationAndAmortisationExpense_NegatedLabel" id="tehnika-kons_ifrs-fullDepreciationAndAmortisationExpense_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Depreciation and amortization expense</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullEmployeeBenefitsExpense_NegatedLabel" id="tehnika-kons_ifrs-fullEmployeeBenefitsExpense_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Employee expenses</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullLossesOnDisposalsOfPropertyPlantAndEquipment_NegatedLabel" id="tehnika-kons_ifrs-fullLossesOnDisposalsOfPropertyPlantAndEquipment_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Gubitak od prodaje nekretnina, postrojenja i opreme</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_NegatedLabel" id="tehnika-kons_ifrs-fullImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Trošak vrijednosnog usklađenja</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullProfitLossFromOperatingActivities_Total" id="tehnika-kons_ifrs-fullProfitLossFromOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Dobit/(gubitak) iz redovnog poslovanja</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullFinanceCosts_NegatedLabel" id="tehnika-kons_ifrs-fullFinanceCosts_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Finanancial expenses</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullProfitLossBeforeTax_Total" id="tehnika-kons_ifrs-fullProfitLossBeforeTax_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">(Loss) before taxation</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullProfitLossFromContinuingOperations_Total" id="tehnika-kons_ifrs-fullProfitLossFromContinuingOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">(Loss) for the year</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullProfitLoss_Total" id="tehnika-kons_ifrs-fullProfitLoss_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Dobit/(gubitak) od ukupnog poslovanja</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullComprehensiveIncome_Total" id="tehnika-kons_ifrs-fullComprehensiveIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">TOTAL COMPREHENSIVE (LOSS) FOR CURRENT YEAR</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullBasicAndDilutedEarningsLossPerShare_Total" id="tehnika-kons_ifrs-fullBasicAndDilutedEarningsLossPerShare_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Basic and diluted (loss) per share (in HRK and lipas)</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullIntangibleAssetsAndGoodwill_Total" id="tehnika-kons_ifrs-fullIntangibleAssetsAndGoodwill_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Nematerijalna imovina</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullNoncurrentAssets_Total" id="tehnika-kons_ifrs-fullNoncurrentAssets_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Total non-current assets</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCurrentFinancialAssets_Total" id="tehnika-kons_ifrs-fullCurrentFinancialAssets_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Current financial assets</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCurrentPrepayments_Total" id="tehnika-kons_ifrs-fullCurrentPrepayments_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Dani predujmovi</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCurrentAssets_Total" id="tehnika-kons_ifrs-fullCurrentAssets_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Ukupno kratkotrajna imovina</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullAssets_Total" id="tehnika-kons_ifrs-fullAssets_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">UKUPNA IMOVINA</label>
    <label xlink:label="label_tehnika-kons_tehnika-konsLossForTheYear_Standard" id="tehnika-kons_tehnika-konsLossForTheYear_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="hr">Loss for the year</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullEquity_Total" id="tehnika-kons_ifrs-fullEquity_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Total equity</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullNoncurrentProvisions_Total" id="tehnika-kons_ifrs-fullNoncurrentProvisions_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Non-current provisions</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullNoncurrentLiabilities_Total" id="tehnika-kons_ifrs-fullNoncurrentLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Total non-current liabilities</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCurrentLiabilities_Total" id="tehnika-kons_ifrs-fullCurrentLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">Ukupne kratkoročne obveze</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullEquityAndLiabilities_Total" id="tehnika-kons_ifrs-fullEquityAndLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="hr">TOTAL EQUITY AND LIABILITIES</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullEquity_PeriodStart" id="tehnika-kons_ifrs-fullEquity_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="hr">Balance at 31 December 2018</label>
    <label xlink:label="label_tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2020Godinu_Standard" id="tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2020Godinu_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="hr">Ukupni sveobuhvatni gubitak za 2020. godinu</label>
    <label xlink:label="label_tehnika-kons_tehnika-konsTecajneRazlike_Standard" id="tehnika-kons_tehnika-konsTecajneRazlike_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="hr">Tečajne razlike</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullEquity_PeriodEnd" id="tehnika-kons_ifrs-fullEquity_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="hr">Dobit tekuće godine</label>
    <label xlink:label="label_tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2021Godinu_Standard" id="tehnika-kons_tehnika-konsUkupniSveobuhvatniGubitakZa2021Godinu_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="hr">Ukupni sveobuhvatni gubitak za 2021. godinu</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullDecreaseThroughWriteoffFinancialAssets_NegatedLabel" id="tehnika-kons_ifrs-fullDecreaseThroughWriteoffFinancialAssets_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="hr">Otpis obveza prema dobavljačima</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_Short" id="tehnika-kons_ifrs-fullCashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_Short" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="hr">Novčani primici od danih zajmova i depozita</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodStart" id="tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="hr">Cash and cash equivalents at the beginning of the year</label>
    <label xlink:label="label_tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodEnd" id="tehnika-kons_ifrs-fullCashAndCashEquivalents_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="hr">Cash and cash equivalents at the end of the year</label>
  </labelLink>
</linkbase>